html, body {
  height: 100%;
  margin: 0;
}
body{
    background-color: #f4f4f4;
    text-align: center;
    min-height: 100vh; /* Footer pegado abajo */
      display: flex;
  flex-direction: column;
 
}
main {
  flex: 1;
}
.oculto {
  display: none;
}
footer {
    background-color: #1a1a1a; 
    color: #e6ffea;          
    text-align: center;
    padding: 20px;
    margin-top: auto;  /* Para que footer vaya al final */
}
footer a {
    color: #8ae6ff; 
    text-decoration: none;
}

